Subject: Re: let git grep consider sub projects

From: Jens Lehmann <[email-masked]>
Date: Wed, 08 Oct 2014 09:24:37 +0200

Am 08.10.2014 um 08:59 schrieb Olaf Hering:
> On Wed, Oct 08, Jens Lehmann wrote:
>
>>     git foo && git submodule foreach --recursive git foo
>
> Looks like a submodule is yet another thing, or I have to learn what a
> submodule is:
>
> olaf@bax:~/xen $ find . -name .git
> ./.git
> ./tools/qemu-xen-dir-remote/.git
> ./tools/qemu-xen-traditional-dir-remote/.git
> ./tools/firmware/seabios-dir-remote/.git
> olaf@bax:~/xen $ git submodule foreach --recursive git show
> olaf@bax:~/xen $
>
> xen does essentially 'git clone $url1 dir/url1-dir;git clone $url2
> dir/url2-dir'. So the top level .git does not really know about
> dir/*-dir.

Okay, I just checked that xen doesn't use submodules but uses simple
embedded repos ignored by the .gitignore file. From a quick glance
it looks like handling the sub projects is scripted in the Makefiles.
This is perfectly fine, but then you can't really expect git commands
to know about these sub projects. Or am I missing something?